| IGLib 1.4 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Protected Member Functions | Protected Attributes | Private Member Functions | Private Attributes

# IG::Script::ScriptGraphics2dBase Class Reference

Base class for script classes with 2D graphics examples. More...

Inheritance diagram for IG::Script::ScriptGraphics2dBase:
[legend]
Collaboration diagram for IG::Script::ScriptGraphics2dBase:
[legend]

List of all members.

## Public Member Functions
| ScriptGraphics2dBase ()
override void | Script_AddCommands (ICommandLineApplicationInterpreter interpreter, SortedList< string, string > helpStrings)
| Adds commands to the internal interpreter.
string | TestMyTest (string[] arguments)
| Test action.
virtual string | TestCustom (string[] arguments)
| Custom test.
virtual string | TestGraph (string[] arguments)
| Demonstration of various 3D plots.
## Public Attributes
const string | ConstMyTest = "MyTest"
| Name of the command that performs my custom test.
const string | ConstHelpMyTest = "Custom test function."
const string | ConstCustom = "Custom"
| Name of the command for custom test.
const string | ConstHelpCustom = "Custom test."
const string | ConstGraph = "Graph"
| Name of the 2d graphs tests.
const string | ConstHelpGraph = "Various 2D graphs. Run with ? argument to see which tests are available."
## Protected Member Functions
override void | InitializeThis (string[] arguments)
| Initializes the current object.
override string | RunThis (string[] arguments)
| Runs action of the current object.
void | AddGraphCommand (string testName, CommandMethod surfaceMethod, string surfaceHelp)
| Adds a new command for a 2D graph test.
virtual void | InitTestGraph ()
| Initializes commands for 3d graphic tests.
virtual string | RunTestGraph (string[] args)
| Runs demonstration of surface plots according to arguments.
## Protected Attributes
List< string > | TestGraphNames = new List<string>()
| List of installed 2D graph test names.
List< string > | TestGraphHelpStrings = new List<string>()
| List of help strings corresponding to installed 2D graph tests.
List< CommandMethod > | TestGraphMethods = new List<CommandMethod>()
| List of methods used to perform 2D graph tests.
## Private Member Functions
string | GraphFunctionSinePlots (string surfaceName, string[] args)
| Demonstration of plotting sine curves with different phases.
string | GraphFunctionCurvePlotLissajous (string surfaceName, string[] args)
| Demonstration of plotting 2d parametric curves (Lissajous curves).
string | GraphFunctionDecorations (string surfaceName, string[] args)
| Demonstration of different decoration styles for 2D graphs.
string | GraphFunctionCurveStylesWithSave (string surfaceName, string[] args)
| Demonstration of different curve styles and saving of 2D graphs.
## Private Attributes
const string | GraphSinePlots = "SinePlots"
const string | GraphHelpSinePlots = " <nCurves> <nPoints> : Plot of sine curves with different phases."
const string | GraphCurvePlotLissajous = "CurvePlotLissajous"
const string | GraphHelpCurvePlotLissajous = " <nX> <nY> : Plot of Lissajous curves in 2D."
const string | GraphDecorations = "Decorations"
const string | GraphHelpDecorations = " : Decoration styles on 2D graphs."
const string | GraphCurveStylesWithSave = "CurveStylesWithSave"
const string | GraphHelpCurveStylesWithSave = " <filePath.bmp> : Curve styles and saving of 2D graphs."
bool | _graphCommandsInitialized = false

## Detailed Description

Base class for script classes with 2D graphics examples.

$A Igor xx Jul12;

## Constructor & Destructor Documentation

IG::Script::ScriptGraphics2dBase::ScriptGraphics2dBase | ( |  | ) | `[inline]`

## Member Function Documentation

override void IG::Script::ScriptGraphics2dBase::InitializeThis | ( | string[] | arguments | ) | `[inline, protected, virtual]`

Initializes the current object.

Implements IG::Lib::LoadableScriptBase.

override string IG::Script::ScriptGraphics2dBase::RunThis | ( | string[] | arguments | ) | `[inline, protected, virtual]`

Runs action of the current object.

Parameters:

  arguments | Command-line arguments of the action.

Implements IG::Lib::LoadableScriptBase.

override void IG::Script::ScriptGraphics2dBase::Script_AddCommands | ( | ICommandLineApplicationInterpreter | interpreter,
|  | SortedList< string, string > | helpStrings
| ) |  | `[inline, virtual]`

Adds commands to the internal interpreter.

Parameters:

  interpreter | Interpreter where commands are executed.
  helpStrings | List containg help strings.

Reimplemented from IG::Lib::LoadableScriptBase.

string IG::Script::ScriptGraphics2dBase::TestMyTest | ( | string[] | arguments | ) | `[inline]`

Test action.

Parameters:

  arguments | Array of command-line arguments.

virtual string IG::Script::ScriptGraphics2dBase::TestCustom | ( | string[] | arguments | ) | `[inline, virtual]`

Custom test.

void IG::Script::ScriptGraphics2dBase::AddGraphCommand | ( | string | testName,
|  | CommandMethod | surfaceMethod,
|  | string | surfaceHelp
| ) |  | `[inline, protected]`

Adds a new command for a 2D graph test.

Parameters:

  testName | Test name.
  surfaceMethod | Method used to perform the test.
  surfaceHelp | Eventual help string for the test.

string IG::Script::ScriptGraphics2dBase::GraphFunctionSinePlots | ( | string | surfaceName,
|  | string[] | args
| ) |  | `[inline, private]`

Demonstration of plotting sine curves with different phases.

string IG::Script::ScriptGraphics2dBase::GraphFunctionCurvePlotLissajous | ( | string | surfaceName,
|  | string[] | args
| ) |  | `[inline, private]`

Demonstration of plotting 2d parametric curves (Lissajous curves).

string IG::Script::ScriptGraphics2dBase::GraphFunctionDecorations | ( | string | surfaceName,
|  | string[] | args
| ) |  | `[inline, private]`

Demonstration of different decoration styles for 2D graphs.

string IG::Script::ScriptGraphics2dBase::GraphFunctionCurveStylesWithSave | ( | string | surfaceName,
|  | string[] | args
| ) |  | `[inline, private]`

Demonstration of different curve styles and saving of 2D graphs.

virtual void IG::Script::ScriptGraphics2dBase::InitTestGraph | ( |  | ) | `[inline, protected, virtual]`

Initializes commands for 3d graphic tests.

virtual string IG::Script::ScriptGraphics2dBase::RunTestGraph | ( | string[] | args | ) | `[inline, protected, virtual]`

Runs demonstration of surface plots according to arguments.

virtual string IG::Script::ScriptGraphics2dBase::TestGraph | ( | string[] | arguments | ) | `[inline, virtual]`

Demonstration of various 3D plots.

## Member Data Documentation

const string IG::Script::ScriptGraphics2dBase::ConstMyTest = "MyTest"

Name of the command that performs my custom test.

const string IG::Script::ScriptGraphics2dBase::ConstHelpMyTest = "Custom test function."

const string IG::Script::ScriptGraphics2dBase::ConstCustom = "Custom"

Name of the command for custom test.

const string IG::Script::ScriptGraphics2dBase::ConstHelpCustom = "Custom test."

const string IG::Script::ScriptGraphics2dBase::ConstGraph = "Graph"

Name of the 2d graphs tests.

const string IG::Script::ScriptGraphics2dBase::ConstHelpGraph = "Various 2D graphs. Run with ? argument to see which tests are available."

List<string> IG::Script::ScriptGraphics2dBase::TestGraphNames = new List<string>()`[protected]`

List of installed 2D graph test names.

List<string> IG::Script::ScriptGraphics2dBase::TestGraphHelpStrings = new List<string>()`[protected]`

List of help strings corresponding to installed 2D graph tests.

List<CommandMethod> IG::Script::ScriptGraphics2dBase::TestGraphMethods = new List<CommandMethod>()`[protected]`

List of methods used to perform 2D graph tests.

const string IG::Script::ScriptGraphics2dBase::GraphSinePlots = "SinePlots"`[private]`

const string IG::Script::ScriptGraphics2dBase::GraphHelpSinePlots = " <nCurves> <nPoints> : Plot of sine curves with different phases."`[private]`

const string IG::Script::ScriptGraphics2dBase::GraphCurvePlotLissajous = "CurvePlotLissajous"`[private]`

const string IG::Script::ScriptGraphics2dBase::GraphHelpCurvePlotLissajous = " <nX> <nY> : Plot of Lissajous curves in 2D."`[private]`

const string IG::Script::ScriptGraphics2dBase::GraphDecorations = "Decorations"`[private]`

const string IG::Script::ScriptGraphics2dBase::GraphHelpDecorations = " : Decoration styles on 2D graphs."`[private]`

const string IG::Script::ScriptGraphics2dBase::GraphCurveStylesWithSave = "CurveStylesWithSave"`[private]`

const string IG::Script::ScriptGraphics2dBase::GraphHelpCurveStylesWithSave = " <filePath.bmp> : Curve styles and saving of 2D graphs."`[private]`

bool IG::Script::ScriptGraphics2dBase::_graphCommandsInitialized = false`[private]`

The documentation for this class was generated from the following file:

- ScriptGraphics2dBase.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events